class htcondor_ce_common(
) inherits htcondor_ce_common::params {

  # PARAMETER INITIALISATION / CHECKING

  # INCLUDES / REQUIRES

  # RESOURCES

  # REPOS

  # PACKAGES

  package { "fetch-crl":  ensure => latest , }
  package { "ca-policy-egi-core":  ensure => latest , }
  package { "ca_policy_igtf-classic":  ensure => latest , }
  package { "ca_policy_igtf-iota":  ensure => latest , }
  package { "ca_policy_igtf-mics":  ensure => latest , }
  package { "ca_policy_igtf-slcs":  ensure => latest , }
  package { "ca-policy-lcg":  ensure => latest , }

  # FILES

  file { "/var/lib/condor/accounting/": ensure => directory, owner => root, group => root, mode => 0755, }

  # Required for condor user.
  file { '/etc/grid-security/condorcert.pem': source => 'puppet:///modules/htcondor_ce_common/hostcert_hepgrid6.pem', mode => 0444, owner => condor  , group => condor, }
  file { '/etc/grid-security/condorkey.pem': source => 'puppet:///modules/htcondor_ce_common/hostkey_hepgrid6.pem', mode => 0400, owner => condor  , group => condor, }

  file { '/root/scripts/nodes.sh': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/nodes.sh', }
  file { '/root/scripts/startJobsShow.sh': source => 'puppet:///modules/htcondor_ce_common/startJobsShow.sh', }
  file { '/root/scripts/startJobsShowAll.sh': source => 'puppet:///modules/htcondor_ce_common/startJobsShowAll.sh', }
  file { '/root/scripts/startJobsOn.sh': source => 'puppet:///modules/htcondor_ce_common/startJobsOn.sh', }
  file { '/root/scripts/startJobsOff.sh': source => 'puppet:///modules/htcondor_ce_common/startJobsOff.sh', }
  file { '/root/scripts/show_all_spares.sh': source => 'puppet:///modules/htcondor_ce_common/show_all_spares.sh', }
  file { '/root/scripts/show_spares.pl': source => 'puppet:///modules/htcondor_ce_common/show_spares.pl', }
  file { '/root/scripts/measureUse.sh': source => 'puppet:///modules/htcondor_ce_common/measureUse.sh', }

  # Apel
  file { "/root/apel": ensure => directory, owner => root    , group => root, mode => 0755, }
  file { '/root/apel/condor_ce_blah.sh': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/condor_ce_blah.sh', }
  file { '/root/apel/condor_ce_batch.sh': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/condor_ce_batch.sh', }
  file { '/root/apel/accountingRun.sh': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/accountingRun.sh', }
  file { '/root/apel/resetdb.sql': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/resetdb.sql', }
  file { '/root/apel/query.sh': mode => 0755, source => 'puppet:///modules/htcondor_ce_common/query.sh', }
  file { '/etc/apel/parser.cfg': mode => 0644, source => 'puppet:///modules/htcondor_ce_common/parser.cfg', }
  file { '/etc/apel/client.cfg': mode => 0644, source => 'puppet:///modules/htcondor_ce_common/client.cfg', }
  file { '/etc/apel/sender.cfg': mode => 0644, source => 'puppet:///modules/htcondor_ce_common/sender.cfg', }

  # Condor config.d files
  file { '/etc/condor-ce/config.d/01-common-auth.conf': source => 'puppet:///modules/htcondor_ce_common/01-common-auth.conf', }
  file { '/etc/condor/config.d/16setCentralManager.config': source => 'puppet:///modules/htcondor_ce_common/16setCentralManager.config', }
  file { '/etc/condor-ce/config.d/16setCentralManager.config': source => 'puppet:///modules/htcondor_ce_common/16setCentralManager.config', }
  file { '/etc/condor/config.d/17system_job_machine_attrs': source => 'puppet:///modules/htcondor_ce_common/17system_job_machine_attrs', }

  # - OTHER (e.g. mounts, cron jobs)

  cron { AccountingDataExtraction:
    command => "/root/apel/accountingRun.sh >> /var/log/accountingRun.log",
    user => root,
    minute => 05, hour => 09
  }

  # SERVICES
  service { "condor": ensure => running, enable => true, hasstatus => true, require => [Package["condor"]],}
  service { "bdii": ensure => running, enable => true, hasstatus => true, require => Package["htcondor-ce-bdii"],}

  # EXECS

}

